### Virtual Method

# WebKit InputMethodContext get_preedit

since: 2.28

#### Declaration [src]

    void
    get_preedit (
      WebKitInputMethodContext* context,
      gchar** text,
      GList** underlines,
      guint* cursor_offset
    )

#### Description [src]

Get the pre-edit string and a list of WebKitInputMethodUnderline.

Get the current pre-edit string for the `context`, and a list of WebKitInputMethodUnderline to apply to the string. The string will be displayed inserted at `cursor_offset`.

Available since: 2.28

#### Parameters

`text`

  Type: `gchar**`

  Location to store the preedit string.

  The argument will be set by the function.
  The argument can be set to `NULL` by the virtual function.
  The caller of the function takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`underlines`

  Type: A list of `None`

  Location to store the underlines as a `GList` of `WebKitInputMethodUnderline`.

  The argument will be set by the function.
  The argument can be set to `NULL` by the virtual function.
  The caller of the function takes ownership of the data, and is responsible for freeing it.

`cursor_offset`

  Type: `guint*`

  Location to store the position of cursor in preedit string.

  The argument will be set by the function.